### Method

# Gtk DrawingArea set_content_width

#### Declaration [src]

    void
    gtk_drawing_area_set_content_width (
      GtkDrawingArea* self,
      int width
    )

#### Description [src]

Sets the desired width of the contents of the drawing area.

Note that because widgets may be allocated larger sizes than they requested, it is possible that the actual width passed to your draw function is larger than the width set here. You can use gtk_widget_set_halign() to avoid that.

If the width is set to 0 (the default), the drawing area may disappear.

Sets property | `Gtk.DrawingArea:content-width`

#### Parameters

`width` | `int`
| The width of contents.